{ config, lib, pkgs, ... }:
{
  services.syncthing = {
    enable = true;
    relay.enable = false;
    openDefaultPorts = true;
    declarative = {
      devices = {
        txsbcct = {
          addresses = []; # empty = dynamic
          id = "A6SRBZL-CP627PX-4QA55B7-QKJXOMO-UJDXQIV-77OK57V-RXO3CUQ-JIHX7AC";
        };
        octycs = {
          addresses = []; # empty = dynamic
          id = "KIJVGWZ-GRXPAUX-ZOTZDLS-KUKANCC-A2IBZRM-BT3RZK7-5M43O6R-OZD5IQE";
        };
        stuebinm-desktop = {
          addresses = []; # empty = dynamic
          id = "CWZTKG7-F45LE2O-TIT6IBC-RQD6MLH-K5ECUGJ-LOHJXF3-I2F4R6I-JVMRLAJ";
        };
        conway = {
          addresses = []; # empty = dynamic
          id = "HV7IU2N-Q4W3A7F-BSASR43-OB575SM-47FY2UW-7N5GMFM-PX3LWRN-HXBXMQF";
        };
      };

      folders = {
        "/var/lib/syncthing/hacc" = {
          id = "qt2ly-xvvvs";
          devices = [ "txsbcct" "octycs" "stuebinm-desktop" "conway" ];
          type = "receiveonly";
          versioning = {
            type = "simple";
            params.keep = "10";
          };
        };
      };

    };

  };
}
